Bug 467403 - (mingw32-libgpg-error) Review Request: mingw32-libgpg-error - MinGW Windows GnuPGP error library
Review Request: mingw32-libgpg-error - MinGW Windows GnuPGP error library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On: mingw32-gcc mingw32-gettext
Blocks: mingw32-libgcrypt mingw32-gnutls mingw32-libvirt
  Show dependency treegraph
 
Reported: 2008-10-17 06:44 EDT by Richard W.M. Jones
Modified: 2009-01-26 20:55 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-26 20:55:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
kevin: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 2 Kevin Fenzi 2009-01-18 17:50:55 EST
I'd be happy to review this package... the src.rpm link seems to be 503 right now. Is there an updated link I can use?
Comment 3 Richard W.M. Jones 2009-01-19 05:17:38 EST
I'm sorry about that.  My webserver was down this morning,
but I've just checked and everything should be alright again
now.
Comment 4 Richard W.M. Jones 2009-01-19 05:22:26 EST
Koji scratch-build in dist-f11:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1065724
Comment 5 Kevin Fenzi 2009-01-21 21:22:33 EST
Sorry for the delay here: 

OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name. 
OK - Spec has consistant macro usage. 
OK - Meets Packaging Guidelines. 
OK - License (LGPLv2+)
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
f3e9870e213518b407a959f8d29cd554  libgpg-error-1.6.tar.bz2
f3e9870e213518b407a959f8d29cd554  libgpg-error-1.6.tar.bz2.orig
See below - BuildRequires correct
See below - Spec handles locales/find_lang
OK - Package has %defattr and permissions on files is good. 
OK - Package has a correct %clean section. 
OK - Package has correct buildroot
OK - Package is code or permissible content. 
OK - Packages %doc files don't affect runtime. 
OK - Package has rm -rf RPM_BUILD_ROOT at top of %install

MINGW32 - Headers/static libs in -devel subpackage. 
MINGW32- .pc files in -devel subpackage/requires pkgconfig
MINGW32- .so files in -devel subpackage.
MINGW32- .la files are removed. 

OK - Package compiles and builds on at least one arch. 
OK - Package has no duplicate files in %files. 
OK - Package doesn't own any directories other packages own. 
OK - Package owns all the directories it creates. 
OK - Package obey's FHS standard (except for 2 exceptions)
See below - No rpmlint output. 
OK - final provides and requires are sane.

SHOULD Items:

OK - Should build in mock. 
OK - Should build on all supported archs
OK - Should have dist tag
MINGW32 - Should not use file requires outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin

Issues: 

First off, this is my first mingw32 review, so I am sure I will ask some 
stupid questions...

1. For buildrequires I see in the build.log: 

checking for msgfmt...
no
checking for gmsgfmt...
:
checking for xgettext... no
checking for msgmerge... no
...
checking for GNU gettext in libc...
no

Should you add those to BuildRequires?

2. Any reason you can't use %{?_smp_mflags} with your make?
Or does that not work with mingw32 packages?

3. rpmlint of course has a bunch to say... perhaps you could get it 
to not complain when the package is mingw32-* on a lot of these?

Ignore: 

mingw32-libgpg-error.noarch: W: no-documentation
mingw32-libgpg-error.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/bin/gpg-error-config
mingw32-libgpg-error.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/gpg-error.h
mingw32-libgpg-error.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/lib/libgpg-error.dll.a
mingw32-libgpg-error.noarch: E: script-without-shebang /usr/i686-pc-mingw32/sys-root/mingw/lib/libgpg-error.la
mingw32-libgpg-error.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libgpg-error.dll.a
mingw32-libgpg-error.noarch: W: non-standard-dir-in-usr i686-pc-mingw32
mingw32-libgpg-error.noarch: W: spurious-executable-perm /usr/i686-pc-mingw32/sys-root/mingw/lib/libgpg-error.dll.a

Should you be using %find_lang here: 

mingw32-libgpg-error.noarch: W: file-not-in-%lang /usr/i686-pc-mingw32/sys-root/mingw/share/locale/de/LC_MESSAGES/libgpg-error.mo
mingw32-libgpg-error.noarch: W: file-not-in-%lang /usr/i686-pc-mingw32/sys-root/mingw/share/locale/fr/LC_MESSAGES/libgpg-error.mo
mingw32-libgpg-error.noarch: W: file-not-in-%lang /usr/i686-pc-mingw32/sys-root/mingw/share/locale/pl/LC_MESSAGES/libgpg-error.mo
mingw32-libgpg-error.noarch: W: file-not-in-%lang /usr/i686-pc-mingw32/sys-root/mingw/share/locale/ro/LC_MESSAGES/libgpg-error.mo
mingw32-libgpg-error.noarch: W: file-not-in-%lang /usr/i686-pc-mingw32/sys-root/mingw/share/locale/sv/LC_MESSAGES/libgpg-error.mo
mingw32-libgpg-error.noarch: W: file-not-in-%lang /usr/i686-pc-mingw32/sys-root/mingw/share/locale/vi/LC_MESSAGES/libgpg-error.mo
Comment 6 Richard W.M. Jones 2009-01-22 13:04:08 EST
(In reply to comment #5)
> Sorry for the delay here: 

Hey no problem, thanks for taking the time to look at this.

> 1. For buildrequires I see in the build.log: 
> 
> checking for msgfmt...
[..]
> Should you add those to BuildRequires?

Yes, they should be.  I have added those in the updated
package.

> 2. Any reason you can't use %{?_smp_mflags} with your make?
> Or does that not work with mingw32 packages?

Also a bug, added ...

> 3. rpmlint of course has a bunch to say... perhaps you could get it 
> to not complain when the package is mingw32-* on a lot of these?

This page summarises rpmlint warnings:
  https://fedoraproject.org/wiki/MinGW/Rpmlint

> Should you be using %find_lang here: 

Yes, we should be, and I have added it.

Spec file: http://hg.et.redhat.com/cgi-bin/hg-misc.cgi/fedora-mingw--devel/file/tip/libgpg-error/mingw32-libgpg-error.spec
SRPM file: http://koji.fedoraproject.org/koji/getfile?taskID=1074597&name=mingw32-libgpg-error-1.6-9.fc11.src.rpm
* Thu Jan 22 2009 Richard W.M. Jones <rjones@redhat.com> - 1.6-9
- Verify that we are still matching current native package.
- Use auto-buildrequires to identify more accurate list of BRs:
    + BR gettext (for /usr/bin/msgfmt etc)
    + BR mingw32-dlfcn
    + BR mingw32-iconv
- Use _smp_mflags.
- Use find_lang.

A koji scratch build is here:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1074596
Comment 7 Kevin Fenzi 2009-01-22 23:14:09 EST
That addresses all the issues I saw... so this package is APPROVED.
Comment 8 Richard W.M. Jones 2009-01-23 05:54:41 EST
Thanks Kevin for looking at this.  CVS request coming up ...
Comment 9 Richard W.M. Jones 2009-01-23 05:57:50 EST
New Package CVS Request
=======================
Package Name: mingw32-libgpg-error
Short Description: MinGW Windows GnuPGP error library
Owners: rjones lfarkas berrange mingwmaint
Branches: EL-5 F-10
InitialCC:
Comment 10 Kevin Fenzi 2009-01-23 18:21:49 EST
cvs done.
Comment 11 Kevin Fenzi 2009-01-23 18:24:32 EST
Note however, that "mingwmaint" doesn't seem to be a valid user to add as a co-maintainer.
Comment 12 Richard W.M. Jones 2009-01-24 14:55:04 EST
(In reply to comment #11)
> Note however, that "mingwmaint" doesn't seem to be a valid user to add as a
> co-maintainer.

This is our "mailing list user":

https://admin.fedoraproject.org/pkgdb/users/packages/mingwmaint

Do I need to add "him" to something else apart from FAS?
Comment 13 Richard W.M. Jones 2009-01-24 14:55:41 EST
This package has been built in Rawhide, F-10 and EL-5.
Comment 14 Kevin Fenzi 2009-01-24 15:13:36 EST
The mailing list user should just be on initialcc right? 
A mailing list can't be/shouldn't be a co-maintainer...
Comment 15 Fedora Update System 2009-01-26 20:55:01 EST
mingw32-libgpg-error-1.6-9.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.